# ModifyInstancesAttribute

## 1. 接口描述

本接口(ModifyInstancesAttribute)用于本接口用于修改实例的属性（目前只支持修改实例的显示名称）。

{% hint style="info" %}
**注意事项**

* 支持批量操作。每次请求批量实例的上限为100。
* 如果其中有实例ID不存在，则本操作会立即失败。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型              | 描述                                                                                   |
| ------------ | -- | --------------- | ------------------------------------------------------------------------------------ |
| instanceName | 是  | String          | <p>实例名称。</p><p>不得超过64个字符。仅支持输入字母、数字、-和英文句点(.)。</p>                                   |
| instanceIds  | 是  | Array of String | <p>一个或多个待操作的实例ID。</p><p>可通过DescribeInstances接口返回值中的instanceId获取。每次请求批量实例的上限为100。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **批量修改实例的名称** 同时修改两个实例的名称为`myInstanceName`。

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyInstancesAttribute
Request:
{
  "instanceIds": [
    "instanceId1",
    "instanceId2"
  ],
  "instanceName": "myInstanceName"
}
Response:
{
  "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453",
  "response": {
    "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                           | 说明     |
| ------- | ----------------------------- | ------ |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND | 实例不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/bare-metal-instance/modifyinstancesattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
